package de.bsvrz.ste.stealgsba.algorithmen.lib;

import de.bsvrz.dav.daf.main.config.SystemObject;

/**
 * Klasse enthlt allgemeine Funktionen die von den Regelklassen benutzt werden knnen
 * @author Swarco Traffic Systems GmbH
 * @author Matthias Obert
 */
public class Tools
{
  /**
   * Parameterloser Konstruktor der Klasse
   */
  public Tools ()
  {
  }

  /**
   * Methode liefert den Namen eines Systemobjekt. Ist das Systemobjekt null
   * oder der Name des Systemobjekts null wird der Text 'null' zurckgeliefert.
   * @param objekt Objekt dess Namen ausgegeben werden soll
   * @return Name des Objekts oder der String 'null'
   */
  public static String getObjektName (SystemObject objekt)
  {
    if (objekt == null)
      return "null";
    else
      if (objekt.getName() == null)
        return "null";
      else
        return objekt.getName();
  }

  /**
   * Methode liefert den Namen des Anzeigeinhalts eines WVZ-Inhalts. geliefert.
   * @param wvzInhalt WVZInhalt dess Namen ausgegeben werden soll
   * @return Name des WVZInhalts oder der String 'null'
   */
  public static String getWVZInhalt (WVZInhalt wvzInhalt)
  {
    if (wvzInhalt == null)
      return "null";
    else if (wvzInhalt.getAnzeigenInhalt() == null)
      return "null";
    else if (wvzInhalt.getAnzeigenInhalt().getName() == null)
      return null;
    
    return wvzInhalt.getAnzeigenInhalt().getName();
  }
}
